Skip to content

Meters & Resources API

Meters

Base path: /core/api/communities/{community_id}/meters

Create a Meter

curl -X POST https://<host>/core/api/communities/{community_id}/meters \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "identifier": "PT0002000000000000000000001234",
    "type": "CPE"
  }'

ORD auto-generation

The ord field (E-REDES distribution network code) is automatically generated from the identifier field when the meter type is CPE.

List Meters

GET /core/api/communities/{community_id}/meters

Resources

Base path: /core/api/communities/{community_id}/resources

Create a Storage Resource

curl -X POST https://<host>/core/api/communities/{community_id}/resources \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Battery 1",
    "type": "STORAGE",
    "status": "ACTIVE",
    "meter_id": "<meter_uuid>",
    "ownerships_payload": [
      {
        "user_id": "<user_uuid>",
        "perc_ownership": 100
      }
    ],
    "storage_payload": {
      "nominal_capacity": 10.0,
      "max_power": 5.0,
      "charging_efficiency": 95,
      "discharging_efficiency": 95
    }
  }'